Subject: ISO and Unicode - discussion.

From: Isak Korn - Systemadministrator <[email-masked]>
Date: Mon Jan 21 15:42:37 1991 - DNT (Dansk Normal Tid = <UTC+1>)

Hi everybody.

And a Happy New Year to ALL of you!

After this greeting has been  written, I'd like to draw yor
attention to couple of mail's which we got during last week.

First we (her in Denmark) got a mail to the Danish members of the SC22
Advisory Group (SC22AG), from Johan van Wingen in the Netherlands (NNI).
Johan has been a member of SC22 for a very long time and he is the SC22
Liaison Officer to the SC2 (Chracter Sets and related issues). He has
produced a lot of technical input to the SC22 and SC2 works.

The following mail was sent to the ALL members of the SC22-AG (even in
USA):

********** Start of Forwarded Message **********
-> To: [email-masked]
-> From: [email-masked]
-> Subject: (Copy) unicode
-> Date: 15 JAN 91 13:20:34
-> 
-> Automatic distribution list SC22AG
-> Text is sent for  (DK* - Isak Korn + Jens Kolind + ...)
-> Document number is 354
-> No comment provided
-> 
-> ================== Start of message forwarded =============
-> 
-> Subject:   (Copy) unicode
-> Date Sent: 01/15/91 12:59:23
-> -----------------------------------------------------------
-> Date:    Tue, 15 Jan 91 12:55 CET
-> From:    "Johan van Wingen"                          <[email-masked]>
-> To:   [email-masked]
-> Subject: (Copy) unicode
-> 
-> This letter I sent to the members of the Ad Hoc Group on Character
-> Issues. However, the impact of what is happening here is far larger.
-> If we allow for these methods, we can next expect the establishment
-> of a private consortium, pretending having produced a Fortran standard
-> of their own, being more in harmony with consumers wishes than the
-> ISO one, and asking you for comment. Think about it!
-> ---------------------------- Text of forwarded message ----------------------
-> Date:    Tue, 15 Jan 91 12:50 CET
-> From:    "Johan van Wingen"                          <LETTPH>
-> To:      SC22/char mailing list               <[email-masked]>
-> Subject: unicode
-> 
-> Dear Colleagues
-> The developments with the Multiple octet coded character sets cause
-> me great concern. An attempt is made in the US to bypass ISO rules
-> by designing a two-octet code, called Unicode, competing with the
-> drafted ISO 10646. The document has now been sent to the National
-> Standards Institutes for comment. This piece of dynamite cannot go
-> unnoticed. Please contact your SC2 people. A copy of a letter I sent
-> to the listserv on the topic follows here.
-> 
-> Best regards from J. W. van Wingen
-> ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-> Date:    Tue, 15 Jan 91 12:23 CET
-> From:    "J. W. van Wingen"                          <BUTPAA>
-> To:      ISO 10646 Discussion List            <[email-masked]>
-> Subject: unicode
-> 
-> Dear Colleagues
-> This morning there arrived at my desk copy of a letter to NNI regarding
-> Unicode. At the same time a copy directed to myself was delivered.
-> 
-> At this moment I can only state what the reply must be on the formal
-> aspect of the procedure followed by the Unicode people. (I had as yet
-> no time to consult NNI officials, but I have no doubts on their views.)
-> NNI can only discuss documents resulting from established standards
-> procedures, like those from ISO / IEC and CEN / CENELEC, and not any
-> mailed by an arbitrary group of individuals. If the merits of Unicode
-> are real, it should be sufficiently qualified for an ISO Work Item, and
-> a New Work Item Proposal should be submitted for it.
-> 
-> It may not yet be well known in the US, but the system of European
-> standards now under development will result in much stricter rules than
-> is the case up to now with ISO standards. Government procurement policy
-> will require conformance of any product to European Standards (from CEN
-> / CENELEC). Those will be derived from ISO standards, if one exists for
-> the application.
-> 
-> In this particular case of a multiple octet coded character set, ISO/IEC
-> 10646 is under development, and will be turned into an European standard
-> in due time. This means that tenders for government orders have to
-> implement ISO/IEC 10646, the whole or a subset. Should manufacturers
-> really want to duplicate their effort by implementing Unicode, creating
-> a parallel, but incompatible coding system, it is their business. My
-> view is that it will create bad business.
-> 
-> It may also not be known that Japan fiercely opposes the concept of
-> Han-unification, as introduced in Unicode. Effectively this means that
-> the market for Unicode will be restricted to the American continent.
->
-> My personal conclusion is that the right approach of spending time and
-> effort in this field is to try improving the draft of ISO/IEC 10646.
-> The value of having one single international organization for standards
-> development, ISO/IEC, is too great to allow undermining it by private
-> projects, not checked by application of well-established rules of
-> international cooperation.
-> 
-> Best regards, Johan van Wingen
-> Mail to P. O. Box 486,   2300AL LEIDEN, The Netherlands
********** End of Forwarded Message **********

Than we (in the "i18n"- mailing list) got a mail from Dominic Dunlop
about the same issue.

Her comes Dominic's message:

********** Start of Forwarded Message **********
-> From: Dominic Dunlop <[email-masked]>
-> X-Sequence: [email-masked] 64
-> Date: Fri, 18 Jan 91 08:58:03 GMT
-> To: [email-masked], [email-masked]
-> Subject: (i18n 64) Unicode 1.0 draft -- contact info
-> 
-> Internationalization people,
-> 
-> I urge those of you interested in character set issues to obtain drafts
-> of Unicode 1.0.  Unicode is a fixed-width 16-bit coded character set
-> designed to satisfy almost all reasonable requirements in almost all
-> parts of the world.  (Well, I think it's really arbitrary multiples of
-> 16 bits: it has non-spacing diacritical marks.)  It is being developed
-> by a consortium of hardware and software suppliers including Apple,
-> Sun, IBM, Microsoft, NeXT, Claris and Xerox.
-> 
-> Unicode 1.0 is in its final review phase.  I have established that
-> subscribers to these mail lists can request copies of the draft from:
-> 
-> 	Asmus Freytag
-> 	Bldg. 2/Flr. 2
-> 	Microsoft Corporation
-> 	One Microsoft Way
-> 	Redmond, WA 98052-6399
-> 	USA
-> 
-> 	Email: [email-masked]
-> 	Phone: +1 206 882 8080
-> 	Fax:   +1 206 883 8101
-> 
-> -- 
-> Dominic Dunlop
********** End of Forwarded Message **********

My conclusion (I've seen ISO/IEC 10646 but not the "Unicode" paper) is
very similar to Johan's. We have a strict rgulations in Europe with
regard to usage of standards in Public Procurement and we have several
mechanisms to get an international approval of standardization work,
through ISO/IEC or CEN/CENELEC. I suppose that the Danish possition in
this matter will be the same like in the Netherlands.

We have had some similar cases, in the past, with regard to "standards"
produced by other bodies then ISO/IEC or CEN/CENELEC, probably most of
you remember the "X/Open" proposal to adopt XPG#3 as an european
standard. This attempt failed and now we are developing a set of
european standards covering this area.

Just think about this.

Best regards.

Isak Korn

 *****************************************************************************
               |                               |
 Isak Korn -   | Information Technology Center |
 Chairman of   | (IT Center)                   | Phone  : + <45> 3123 4488
 the Danish    | Christian Winthers Vej 5      | Fax    : + <45> 3123 0502
 ISO/JTC1 SC22 | DK-1860  Frederiksberg C      | e-mail : [email-masked]
 Subcommittee  | DENMARK                       | 
               |                               |
 *****************************************************************************